## UDisksManagerLVM2

UDisksManagerLVM2 — Generated C code for the org.freedesktop.UDisks2.Manager.LVM2 D-Bus interface

## Functions

void | udisks_manager_lvm2_proxy_new ()
UDisksManagerLVM2 * | udisks_manager_lvm2_proxy_new_finish ()
UDisksManagerLVM2 * | udisks_manager_lvm2_proxy_new_sync ()
void | udisks_manager_lvm2_proxy_new_for_bus ()
UDisksManagerLVM2 * | udisks_manager_lvm2_proxy_new_for_bus_finish ()
UDisksManagerLVM2 * | udisks_manager_lvm2_proxy_new_for_bus_sync ()
void | udisks_manager_lvm2_call_volume_group_create ()
gboolean | udisks_manager_lvm2_call_volume_group_create_finish ()
gboolean | udisks_manager_lvm2_call_volume_group_create_sync ()
UDisksManagerLVM2 * | udisks_manager_lvm2_skeleton_new ()
void | udisks_manager_lvm2_complete_volume_group_create ()

## Types and Values

| UDisksManagerLVM2
struct | UDisksManagerLVM2Proxy
struct | UDisksManagerLVM2ProxyClass
struct | UDisksManagerLVM2Skeleton
struct | UDisksManagerLVM2SkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksManagerLVM2
        GObject
        ╰── GDBusProxy
            ╰── UDisksManagerLVM2Proxy

## Prerequisites

UDisksManagerLVM2 requires GObject.

## Implemented Interfaces

UDisksManagerLVM2Proxy implements GDBusInterface, GInitable, GAsyncInitable and UDisksManagerLVM2.

## Known Implementations

UDisksManagerLVM2 is implemented by UDisksManagerLVM2Proxy.

## Description

This section contains code for working with the org.freedesktop.UDisks2.Manager.LVM2 D-Bus interface in C.

## Functions

### udisks_manager_lvm2_proxy_new ()

    void
    udisks_manager_lvm2_proxy_new (GDBusConnection *connection,
                                   GDBusProxyFlags flags,
                                   const gchar *name,
                                   const gchar *object_path,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Manager.LVM2. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_lvm2_proxy_new_finish()` to get the result of the operation.

See `udisks_manager_lvm2_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_manager_lvm2_proxy_new_finish ()

    UDisksManagerLVM2 *
    udisks_manager_lvm2_proxy_new_finish (GAsyncResult *res,
                                          GError **error);

Finishes an operation started with `udisks_manager_lvm2_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_lvm2_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerLVM2Proxy]

Since: 2.0.0

### udisks_manager_lvm2_proxy_new_sync ()

    UDisksManagerLVM2 *
    udisks_manager_lvm2_proxy_new_sync (GDBusConnection *connection,
                                        GDBusProxyFlags flags,
                                        const gchar *name,
                                        const gchar *object_path,
                                        GCancellable *cancellable,
                                        GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Manager.LVM2. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_manager_lvm2_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerLVM2Proxy]

Since: 2.0.0

### udisks_manager_lvm2_proxy_new_for_bus ()

    void
    udisks_manager_lvm2_proxy_new_for_bus (GBusType bus_type,
                                           GDBusProxyFlags flags,
                                           const gchar *name,
                                           const gchar *object_path,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Like `udisks_manager_lvm2_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_lvm2_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_manager_lvm2_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_manager_lvm2_proxy_new_for_bus_finish ()

    UDisksManagerLVM2 *
    udisks_manager_lvm2_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_lvm2_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_lvm2_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerLVM2Proxy]

Since: 2.0.0

### udisks_manager_lvm2_proxy_new_for_bus_sync ()

    UDisksManagerLVM2 *
    udisks_manager_lvm2_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_manager_lvm2_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_manager_lvm2_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerLVM2Proxy]

Since: 2.0.0

### udisks_manager_lvm2_call_volume_group_create ()

    void
    udisks_manager_lvm2_call_volume_group_create
                                   (UDisksManagerLVM2 *proxy,
                                    const gchar *arg_name,
                                    const gchar *const *arg_blocks,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `VolumeGroupCreate()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_lvm2_call_volume_group_create_finish()` to get the result of the operation.

See `udisks_manager_lvm2_call_volume_group_create_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerLVM2Proxy. |
arg_name | Argument to pass with the method invocation. |
arg_blocks | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_manager_lvm2_call_volume_group_create_finish ()

    gboolean
    udisks_manager_lvm2_call_volume_group_create_finish
                                   (UDisksManagerLVM2 *proxy,
                                    gchar **out_result,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_lvm2_call_volume_group_create()`.

#### Parameters

proxy | A UDisksManagerLVM2Proxy. |
out_result | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_lvm2_call_volume_group_create()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_manager_lvm2_call_volume_group_create_sync ()

    gboolean
    udisks_manager_lvm2_call_volume_group_create_sync
                                   (UDisksManagerLVM2 *proxy,
                                    const gchar *arg_name,
                                    const gchar *const *arg_blocks,
                                    GVariant *arg_options,
                                    gchar **out_result,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `VolumeGroupCreate()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_lvm2_call_volume_group_create()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerLVM2Proxy. |
arg_name | Argument to pass with the method invocation. |
arg_blocks | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
out_result | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_manager_lvm2_skeleton_new ()

    UDisksManagerLVM2 *
    udisks_manager_lvm2_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Manager.LVM2.

#### Returns

The skeleton object.

[transfer full][type UDisksManagerLVM2Skeleton]

Since: 2.0.0

### udisks_manager_lvm2_complete_volume_group_create ()

    void
    udisks_manager_lvm2_complete_volume_group_create
                                   (UDisksManagerLVM2 *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *result);

Helper function used in service implementations to finish handling invocations of the `VolumeGroupCreate()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManagerLVM2. |
invocation | A GDBusMethodInvocation. | [transfer full]
result | Parameter to return. |

Since: 2.0.0

## Types and Values

### UDisksManagerLVM2

    typedef struct _UDisksManagerLVM2 UDisksManagerLVM2;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Manager.LVM2.

Since: 2.0.0

### struct UDisksManagerLVM2Proxy

    struct UDisksManagerLVM2Proxy;

The UDisksManagerLVM2Proxy structure contains only private data and should only be accessed using the provided API.

Since: 2.0.0

### struct UDisksManagerLVM2ProxyClass

    struct UDisksManagerLVM2ProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksManagerLVM2Proxy.

#### Members

Since: 2.0.0

### struct UDisksManagerLVM2Skeleton

    struct UDisksManagerLVM2Skeleton {
    };

The UDisksManagerLVM2Skeleton structure contains only private data and should only be accessed using the provided API.

Since: 2.0.0

### struct UDisksManagerLVM2SkeletonClass

    struct UDisksManagerLVM2SkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksManagerLVM2Skeleton.

#### Members

Since: 2.0.0